Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.label.rap
Class LabelRapRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VLabel>
              org.eclipse.emf.ecp.view.spi.label.swt.LabelSWTRenderer
                  org.eclipse.emf.ecp.view.label.rap.LabelRapRenderer

    public class LabelRapRenderer

extends LabelSWTRenderer

Author:
  Alexandra Buzila

Constructor Summary
`LabelRapRenderer(VLabel vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsDatabinding emfFormsDatabinding, VTViewTemplateProvider vtViewTemplateProvider)` Default Constructor.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.view.spi.label.swt.LabelSWTRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelRapRenderer

    @Inject
    public LabelRapRenderer(VLabel vElement,
                                   ViewModelContext viewContext,
                                   ReportService reportService,
                                   EMFFormsDatabinding emfFormsDatabinding,
                                   VTViewTemplateProvider vtViewTemplateProvider)

  Default Constructor.

  Parameters:
    `vElement` - the view element to be rendered
    `viewContext` - The view model context
    `reportService` - the ReportService to use
    `emfFormsDatabinding` - the EMFFormsDatabinding to use
    `vtViewTemplateProvider` - the VTViewTemplateProvider to use

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.